Skip to main content
POST
/
reservations
/
calculate
Calculate reservation
curl --request POST \
  --url https://api.nova-cloud.ai/reservations/calculate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "gpu_type": "<string>",
  "gpu_count": 123,
  "storage_gb": 123,
  "reservation_months": 1
}
'
{
  "discount_percent": 123,
  "deposit_required": 123,
  "monthly_cost": 123,
  "hourly_rate_after_discount": 123,
  "cancellation_fee_25_percent": 123
}

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Body

application/json
gpu_type
string
required
gpu_count
integer
required
storage_gb
integer
required
reservation_months
enum<integer>
required

Commitment period: 1, 3, or 6 months

Available options:
1,
3,
6

Response

200 - application/json

Reservation calculation

discount_percent
number
deposit_required
number
monthly_cost
number
hourly_rate_after_discount
number
cancellation_fee_25_percent
number